/*
 * Author: Mari Wang <mariw@tartarus.uwa.edu.au>
 * Date: 1999-11-27
 *
 * Test speed of RoBIOS functions.
 */

#include <eyebot.h>
#include <stdio.h>
#include "../timerheader.h"

int
main(int argc, char *argv[])
{
  char *function_type = "Timer functions"; /* Fill in adequate name of
                                            * functions currently
                                            * being tested */

  /* File specific variables (those needed for testing */

  int hrs, mins, secs, ticks;

  index_x += init_test(function_type);

  /* Functions to be tested go here.
   * Semantics:
   * do_test(function_name, parameters);
   */

  do_test(OSSetTime,(hrs, mins, secs));
  do_test(OSGetTime,(&hrs, &mins, &secs, &ticks));
  do_test(OSShowTime,());
  do_test(OSGetCount,());
  do_test(OSWait,(0));
  do_test(OSWait,(1));

  end_test();

  return 0;
}



